Loading...
Searching...
No Matches
Opm::EnergyIntensiveQuantities< TypeTag, true > Class Template Reference

Provides the volumetric quantities required for the energy equation. More...

`#include <energymodule.hh>`

## Public Member Functions

const Evaluation & | solidInternalEnergy () const
| Returns the volumetric internal energy of the solid matrix in the sub-control volume.
const Evaluation & | thermalConductivity () const
| Returns the total conductivity capacity of the solid matrix in the sub-control volume.

## Protected Member Functions

template<class FluidState>
void | update_ (FluidState &fs, typename FluidSystem::template ParameterCache< typename FluidState::Scalar > &paramCache, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the quantities required to calculate energy fluxes.

## Static Protected Member Functions

template<class FluidState, class Context>
static void | updateTemperatures_ (FluidState &fluidState, const Context &context, unsigned spaceIdx, unsigned timeIdx)
| Update the temperatures of the fluids of a fluid state.

## Detailed Description

template<class TypeTag>
class Opm::EnergyIntensiveQuantities< TypeTag, true >

Provides the volumetric quantities required for the energy equation.

The documentation for this class was generated from the following file:

- opm/models/common/energymodule.hh